%global enable_tests 0
%global npm_name generic-pool

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Name:       %{?scl_prefix}nodejs-%{npm_name}
Version:    2.0.3
Release:    3%{?dist}
Summary:    Generic resource pooling for Node.js
# License text is included in README.md.
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/coopernurse/node-pool
Source0:    http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  %{?scl_prefix}nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(expresso)
%endif

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/expresso/bin/expresso -I lib test/*.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/%{npm_name}


%changelog
* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> - 2.0.3-3
- Add support for software collections

* Mon Jul 08 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.3-2
- restrict to compatible arches

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.3-1
- initial package
